Subject: bug#36937: 26.1; Sending mails doesn't set From: correctly

From: Sven Joachim <[email-masked]>
Date: Tue, 06 Aug 2019 09:10:47 +0200

On 2019-08-05 21:46 +0200, Sven Joachim wrote:

> On 2019-08-05 19:00 +0100, Jose A. Ortega Ruiz wrote:
>
>> This problem started happening in builds from master around 4 days ago:
>>
>> - start emacs -Q
>> - M-x mail (or any other form of sending email)
>> - Set a From: value different from user@localhostname
>> - Send mail using local sendmail
>>
>> The mail is sent with a from header seen by postfix (i don't know about
>> other MTAs) as user@localhost, instead of the From: i set in the
>> headers.  By user@localhost i mean the unix username running emacs and
>> the hostname as returned by hostname(1).  It seems emacs is just
>> ignoring the value of From:, or setting it in a way postfix doesn't
>> understand.
>>
>> I know almost for sure it's an emacs problem because emacs 26 or an
>> earlier version of emacs-snapshot is working without problems.
>
> Confirmed here, although it did not prevent me personally from sending
> mail, since I had already set up postfix to rewrite such
> user@localhostname addresses back.
>
> Reverting commit 3a59cc840693 (" * lisp/gnus/message.el: Reduce
> redundancy with send-mail-function") fixed the problem.  It looks like
> this commit changed some important options and looks NEWS-worthy.

Most notably, it changed the default of message-sendmail-f-is-evil,
which is now t.  Setting message-sendmail-f-is-evil back to nil restores
the previous behavior.

> Stefan?

Cheers,
       Sven